Weijia Wang
ff24caf1fc
pwsafe: 1.23.0 -> 1.25.0 ( #520727 )
2026-08-16 18:52:53 +00:00
R. Ryantm
368b07acd8
pwninit: 3.3.2 -> 3.3.3
2026-07-28 02:44:23 +00:00
R. Ryantm
be14c7595d
pwsafe: 1.23.0 -> 1.25.0
2026-07-25 18:06:41 +00:00
Eman Resu
ff094f60ad
treewide: replace more singleton license lists
2026-07-15 14:04:39 -04:00
Masum Reza
2b3d474b0b
pwvucontrol: 0.5.2 -> 0.5.3, add ilkecan to maintainers ( #541435 )
2026-07-13 17:10:22 +00:00
R. Ryantm
6a8203513e
pwru: 1.0.11 -> 1.0.12
2026-07-13 13:13:27 +00:00
İlkecan Bozdoğan
d345ca63cb
pwvucontrol: add ilkecan to maintainers
2026-07-13 15:38:34 +03:00
İlkecan Bozdoğan
2e79120138
pwvucontrol: 0.5.2 -> 0.5.3
2026-07-13 15:38:34 +03:00
Clément
5d26766cbf
treewide: add missing meta.homepage with source git repository
...
Added homepage where missing, where the sources are pulled from:
- https://github.com
- https://git.sr.ht
- https://gitlab.com
- https://invent.kde.org
- https://codeberg.org
- https://gitlab.gnome.org
- https://gitlab.freedesktop.org
- https://git.FreeBSD.org
- https://salsa.debian.org
- https://git.tvdr.de
- https://git.suckless.org
2026-06-01 23:40:52 +02:00
Philipp Bartsch
c3d7eb8466
pwvucontrol: 0.5.1 -> 0.5.2
2026-05-12 21:25:08 +02:00
Peder Bergebakken Sundt
fe0c8d14cf
pw-viz: fix run ( #513163 )
2026-05-05 22:21:58 +00:00
Ralph Seichter
1764fe9086
pwgen: Add CFLAGS config
...
Address #511329 (Darwin regressions from autoconf update)
2026-04-25 04:41:53 +02:00
Petr Portnov
28325ac196
pw-viz: fix run
2026-04-24 23:08:27 +03:00
Petr Portnov
56bf7ec14a
pw-viz: add progrm_jarvis to maintainers
2026-04-24 22:52:14 +03:00
Harinn
dcbfa10fb8
pwru: add miniharinn as a maintainer
2026-03-28 02:25:51 +07:00
Harinn
638076636d
pwru: fix version unknown
2026-03-28 02:25:48 +07:00
Harinn
dc0dc5585c
pwru: 1.0.9 -> 1.0.11
2026-03-28 02:25:40 +07:00
R. Ryantm
78f7ae0e37
pwdsafety: 0.4.1 -> 0.4.2
2026-03-21 08:10:42 +00:00
Weijia Wang
6207ccfbee
pwdsphinx: 2.0.3 -> 2.0.4
2026-03-06 20:01:57 +01:00
Weijia Wang
cf1c78c332
wxwidgets_3_{1,2}: rename from wxGTK3{1,2} ( #489736 )
2026-03-06 08:29:12 +00:00
R. Ryantm
4dcd271b21
pwmenu: 0.3.0 -> 0.4.0
2026-03-01 02:14:24 +00:00
quantenzitrone
62efab0dad
wxwidgets_3_{1,2}: rename from wxGTK3{1,2}
...
fit attrname to pname
2026-02-27 10:56:33 +01:00
Marcin Serwin
5b5839ce5b
maintainers: drop c0bw3b
...
Signed-off-by: Marcin Serwin <marcin@serwin.dev >
2026-02-18 22:54:18 +01:00
Fernando Rodrigues
693e12715a
various: switch buildGoModule packages to use finalAttrs ( #487704 )
2026-02-07 09:35:52 +00:00
Fernando Rodrigues
a242c54745
various: switch buildPythonApplication packages to use finalAttrs ( #487735 )
2026-02-07 09:30:09 +00:00
quantenzitrone
18dc8a95fb
various: switch buildPythonApplication packages to use finalAttrs
...
this shouldn't create any rebuilds
the following script was used to generate this:
```fish
#!/usr/bin/env fish
# nix shell .#nixfmt nixpkgs#{nixf-diagnose,ripgrep,sd}
set base (git rev-parse HEAD)
set scope pkgs/by-name
set builder buildPythonApplication
set files (rg --files-with-matches -F "$builder rec {" $scope | sort -u)
for file in $files
echo $file
sd -F "$builder rec {" "$builder (finalAttrs: {" $file
# version
sd -F 'version}' 'finalAttrs.version}' $file
sd -F '${version' '${finalAttrs.version' $file
sd -F '= version' '= finalAttrs.version' $file
sd -F 'inherit version;' 'inherit (finalAttrs) version;' $file
sd -F ' + version;' ' + finalAttrs.version;' $file
sd 'replaceStrings (.*) version' 'replaceStrings $1 finalAttrs.version' $file
sd -F 'splitVersion version' 'splitVersion finalAttrs.version' $file
sd -F 'versionAtLeast version' 'versionAtLeast finalAttrs.version' $file
sd 'versions\.([a-z]+) version' 'versions.$1 finalAttrs.version' $file
# src
sd -F 'src}' 'finalAttrs.src}' $file
sd -F '${src' '${finalAttrs.src' $file
sd -F '= src' '= finalAttrs.src' $file
sd -F 'inherit src;' 'inherit (finalAttrs) src;' $file
sd -F 'inherit (src' 'inherit (finalAttrs.src' $file
# meta
sd -F '${meta' '${finalAttrs.meta' $file
sd -F '= meta' '= finalAttrs.meta' $file
sd -F 'inherit (meta' 'inherit (finalAttrs.meta' $file
# pname (restored afterwards)
sd -F 'pname}' 'finalAttrs.pname}' $file
sd -F '${pname' '${finalAttrs.pname' $file
sd -F '= pname' '= finalAttrs.pname' $file
# combinations
sd -F 'inherit version src;' 'inherit (finalAttrs) version src;' $file
sd -F 'inherit src version;' 'inherit (finalAttrs) src version;' $file
sd -F 'inherit version pname;' 'inherit (finalAttrs) version pname;' $file
sd -F 'inherit pname version;' 'inherit (finalAttrs) pname version;' $file
sd -F 'inherit pname src version;' 'inherit (finalAttrs) pname src version;' $file
sd -F 'inherit pname version src;' 'inherit (finalAttrs) pname version src;' $file
sd -F 'inherit src pname version;' 'inherit (finalAttrs) src pname version;' $file
sd -F 'inherit src version pname;' 'inherit (finalAttrs) src version pname;' $file
sd -F 'inherit version pname src;' 'inherit (finalAttrs) version pname src;' $file
sd -F 'inherit version src pname;' 'inherit (finalAttrs) version src pname;' $file
# other
sd -F 'makeLibraryPath buildInputs' 'makeLibraryPath finalAttrs.buildInputs' $file
sd -F 'nativeBuildInputs}' 'finalAttrs.nativeBuildInputs}' $file
sd -F 'buildInputs}' 'finalAttrs.buildInputs}' $file
sd -F 'propagatedBuildInputs}' 'finalAttrs.propagatedBuildInputs}' $file
sd -F 'desktopItem}' 'finalAttrs.desktopItem}' $file
sd -F 'runtimeLibs}' 'finalAttrs.runtimeLibs}' $file
sd -F 'makePythonPath dependencies' 'makePythonPath finalAttrs.dependencies' $file
sd -F 'makePythonPath propagatedBuildInputs' 'makePythonPath finalAttrs.propagatedBuildInputs' $file
sd -F 'libPath}' 'finalAttrs.libPath}' $file
sd -F 'runtimeDependencies}' 'finalAttrs.runtimeDependencies}' $file
sd -F 'runtimeDeps}' 'finalAttrs.runtimeDeps}' $file
sd -F 'nativeRuntimeInputs}' 'finalAttrs.nativeRuntimeInputs}' $file
sd -F '(!doCheck)' '(!finalAttrs.doCheck)' $file
sd -F 'optional doCheck' 'optional finalAttrs.doCheck' $file
sd -F 'optionals doCheck' 'optionals finalAttrs.doCheck' $file
sd -F '++ runtimeDependencies' '++ finalAttrs.runtimeDependencies' $file
# close finalAttrs lambda
echo ')' >>$file
# catch some errors early
if ! nixfmt $file
git restore $file
continue
end
if ! nixf-diagnose -i sema-primop-overridden $file
git restore $file
continue
end
end
set torestore (rg -F .finalAttrs --files-with-matches $scope)
if test (count $torestore) -gt 0
git restore $torestore
end
set torestore (rg -F finalAttrs.pname --files-with-matches $scope)
if test (count $torestore) -gt 0
git restore $torestore
end
# commit for faster eval times
git add pkgs
git commit --no-gpg-sign -m temp
set torestore
for file in $files
# file hasn't changed
if git diff --quiet $base $file
continue
end
# try to eval the package to definitely catch all errors
echo $file
set pname (string split / $file -f 4)
if ! nix eval .#$pname
set torestore $torestore $file
end
end
# restore files that don't eval
git reset --soft $base
git restore --staged .
if test (count $torestore) -gt 0
git restore $torestore
end
```
after that some manual cleanup was done:
- restoring files that cause changes in the number of lines
- restoring files that cause rebuilds
- restoring files that cause merge conflicts with staging
2026-02-07 10:06:06 +01:00
quantenzitrone
d26a1a9e5e
various: switch buildRustPackage packages to use finalAttrs
...
this shouldn't create any rebuilds
the following script was used to generate this:
```fish
#!/usr/bin/env fish
# nix shell .#nixfmt nixpkgs#{nixf-diagnose,ripgrep,sd}
set base (git rev-parse HEAD)
set scope pkgs/by-name
set builder buildRustPackage
set files (rg --files-with-matches -F "$builder rec {" $scope | sort -u)
for file in $files
echo $file
sd -F "$builder rec {" "$builder (finalAttrs: {" $file
# version
sd -F 'version}' 'finalAttrs.version}' $file
sd -F '${version' '${finalAttrs.version' $file
sd -F '= version' '= finalAttrs.version' $file
sd -F 'inherit version;' 'inherit (finalAttrs) version;' $file
sd -F ' + version;' ' + finalAttrs.version;' $file
sd 'replaceStrings (.*) version' 'replaceStrings $1 finalAttrs.version' $file
sd -F 'splitVersion version' 'splitVersion finalAttrs.version' $file
sd -F 'versionAtLeast version' 'versionAtLeast finalAttrs.version' $file
sd 'versions\.([a-z]+) version' 'versions.$1 finalAttrs.version' $file
# src
sd -F 'src}' 'finalAttrs.src}' $file
sd -F '${src' '${finalAttrs.src' $file
sd -F '= src' '= finalAttrs.src' $file
sd -F 'inherit src;' 'inherit (finalAttrs) src;' $file
sd -F 'inherit (src' 'inherit (finalAttrs.src' $file
# meta
sd -F '${meta' '${finalAttrs.meta' $file
sd -F '= meta' '= finalAttrs.meta' $file
sd -F 'inherit (meta' 'inherit (finalAttrs.meta' $file
# other
sd -F 'inherit version src;' 'inherit (finalAttrs) version src;' $file
sd -F 'inherit src version;' 'inherit (finalAttrs) src version;' $file
sd -F 'makeLibraryPath buildInputs' 'makeLibraryPath finalAttrs.buildInputs' $file
sd -F 'buildInputs}' 'finalAttrs.buildInputs}' $file
sd -F 'desktopItem}' 'finalAttrs.desktopItem}' $file
sd -F 'runtimeLibs}' 'finalAttrs.runtimeLibs}' $file
sd -F 'libPath}' 'finalAttrs.libPath}' $file
sd -F 'runtimeDependencies}' 'finalAttrs.runtimeDependencies}' $file
sd -F 'nativeRuntimeInputs}' 'finalAttrs.nativeRuntimeInputs}' $file
sd -F '(!doCheck)' '(!finalAttrs.doCheck)' $file
sd -F 'optional doCheck' 'optional finalAttrs.doCheck' $file
sd -F 'optionals doCheck' 'optionals finalAttrs.doCheck' $file
sd -F '++ runtimeDependencies' '++ finalAttrs.runtimeDependencies' $file
# pname (restored afterwards)
sd -F 'pname}' 'finalAttrs.pname}' $file
sd -F '${pname' '${finalAttrs.pname' $file
sd -F '= pname' '= finalAttrs.pname' $file
# close finalAttrs lambda
echo ')' >>$file
# catch some errors early
if ! nixfmt $file
git restore $file
continue
end
if ! nixf-diagnose -i sema-primop-overridden $file
git restore $file
continue
end
end
set torestore (rg -F .finalAttrs --files-with-matches $scope)
if test (count $torestore) -gt 0
git restore $torestore
end
set torestore (rg -F finalAttrs.pname --files-with-matches $scope)
if test (count $torestore) -gt 0
git restore $torestore
end
# commit for faster eval times
git add pkgs
git commit --no-gpg-sign -m temp
set torestore
for file in $files
# file hasn't changed
if git diff --quiet $base $file
continue
end
# try to eval the package to definitely catch all errors
echo $file
set pname (string split / $file -f 4)
if ! nix eval .#$pname
set torestore $torestore $file
end
end
# restore files that don't eval
git reset --soft $base
git restore --staged .
if test (count $torestore) -gt 0
git restore $torestore
end
```
after that some manual cleanup was done:
- restoring files that cause changes in the number of lines
- restoring files that cause rebuilds
- restoring files that cause merge conflicts with staging
2026-02-07 09:53:17 +01:00
quantenzitrone
9380e05c3c
various: switch buildGoModule packages to use finalAttrs
...
this shouldn't create any rebuilds
the following script was used to generate this:
```fish
#!/usr/bin/env fish
# nix shell .#nixfmt nixpkgs#{nixf-diagnose,ripgrep,sd}
set base (git rev-parse HEAD)
set scope pkgs/by-name
set builder buildGoModule
set files (rg --files-with-matches -F "$builder rec {" $scope | sort -u)
for file in $files
echo $file
sd -F "$builder rec {" "$builder (finalAttrs: {" $file
# version
sd -F 'version}' 'finalAttrs.version}' $file
sd -F '${version' '${finalAttrs.version' $file
sd -F '= version' '= finalAttrs.version' $file
sd -F 'inherit version;' 'inherit (finalAttrs) version;' $file
sd -F ' + version;' ' + finalAttrs.version;' $file
sd 'replaceStrings (.*) version' 'replaceStrings $1 finalAttrs.version' $file
sd -F 'splitVersion version' 'splitVersion finalAttrs.version' $file
sd -F 'versionAtLeast version' 'versionAtLeast finalAttrs.version' $file
sd 'versions\.([a-z]+) version' 'versions.$1 finalAttrs.version' $file
# src
sd -F 'src}' 'finalAttrs.src}' $file
sd -F '${src' '${finalAttrs.src' $file
sd -F '= src' '= finalAttrs.src' $file
sd -F 'inherit src;' 'inherit (finalAttrs) src;' $file
sd -F 'inherit (src' 'inherit (finalAttrs.src' $file
# meta
sd -F '${meta' '${finalAttrs.meta' $file
sd -F '= meta' '= finalAttrs.meta' $file
sd -F 'inherit (meta' 'inherit (finalAttrs.meta' $file
# other
sd -F 'inherit version src;' 'inherit (finalAttrs) version src;' $file
sd -F 'inherit src version;' 'inherit (finalAttrs) src version;' $file
sd -F 'makeLibraryPath buildInputs' 'makeLibraryPath finalAttrs.buildInputs' $file
sd -F 'buildInputs}' 'finalAttrs.buildInputs}' $file
sd -F 'desktopItem}' 'finalAttrs.desktopItem}' $file
sd -F 'runtimeLibs}' 'finalAttrs.runtimeLibs}' $file
sd -F 'libPath}' 'finalAttrs.libPath}' $file
sd -F 'runtimeDependencies}' 'finalAttrs.runtimeDependencies}' $file
sd -F 'nativeRuntimeInputs}' 'finalAttrs.nativeRuntimeInputs}' $file
sd -F '(!doCheck)' '(!finalAttrs.doCheck)' $file
sd -F 'optional doCheck' 'optional finalAttrs.doCheck' $file
sd -F 'optionals doCheck' 'optionals finalAttrs.doCheck' $file
sd -F '++ runtimeDependencies' '++ finalAttrs.runtimeDependencies' $file
# pname (restored afterwards)
sd -F 'pname}' 'finalAttrs.pname}' $file
sd -F '${pname' '${finalAttrs.pname' $file
sd -F '= pname' '= finalAttrs.pname' $file
# close finalAttrs lambda
echo ')' >>$file
# catch some errors early
if ! nixfmt $file
git restore $file
continue
end
if ! nixf-diagnose -i sema-primop-overridden $file
git restore $file
continue
end
end
set torestore (rg -F .finalAttrs --files-with-matches $scope)
if test (count $torestore) -gt 0
git restore $torestore
end
set torestore (rg -F finalAttrs.pname --files-with-matches $scope)
if test (count $torestore) -gt 0
git restore $torestore
end
# commit for faster eval times
git add pkgs
git commit --no-gpg-sign -m temp
set torestore
for file in $files
# file hasn't changed
if git diff --quiet $base $file
continue
end
# try to eval the package to definitely catch all errors
echo $file
set pname (string split / $file -f 4)
if ! nix eval .#$pname
set torestore $torestore $file
end
end
# restore files that don't eval
git reset --soft $base
git restore --staged .
if test (count $torestore) -gt 0
git restore $torestore
end
```
after that some manual cleanup was done:
- restoring files that cause changes in the number of lines
- restoring files that cause rebuilds
- restoring files that cause merge conflicts with staging
2026-02-07 09:28:59 +01:00
quantenzitrone
ace8e154a1
various: rename references from libXt to libxt
...
this shouldn't create any rebuilds
2026-02-06 00:29:25 +01:00
quantenzitrone
837ce569f8
various: rename references from libXtst to libxtst
...
this shouldn't create any rebuilds
2026-02-06 00:29:24 +01:00
quantenzitrone
77837f424c
various: rename references from libXi to libxi
...
this shouldn't create any rebuilds
2026-02-06 00:25:56 +01:00
quantenzitrone
f67b5966bb
various: rename references from libXext to libxext
...
this shouldn't create any rebuilds
2026-02-06 00:25:36 +01:00
Fernando Rodrigues
6308c3b213
various: switch to finalAttrs pattern ( #483882 )
2026-01-30 02:32:49 +00:00
quantenzitrone
6b61249106
various: switch to finalAttrs pattern
...
this shouldn't create any rebuilds
2026-01-30 02:36:22 +01:00
quantenzitrone
7d8132a92c
treewide: remove references to the xorg namespace in pkgs (automated)
...
this creates some eval errors that will be fixed in the next commit
done with the following script:
```fish
\#!/usr/bin/env fish
set packagesjson (nix eval --impure --json --expr '
let
lib = import ./lib;
in
import pkgs/servers/x11/xorg/default.nix (lib.mapAttrs (
name: _:
if name == "lib" then
lib
else if name == "config" then
{ allowAliases = false; }
else
name
) (__functionArgs (import pkgs/servers/x11/xorg/default.nix))) { }
' | jq)
set one (grep '^ [A-Za-z0-9_-]*$' pkgs/servers/x11/xorg/default.nix | string trim | string replace -r '$' Z | sort | string sub -e -1)
set two (grep '^ [A-Za-z0-9_-]* = [A-Za-z0-9_-]*;$' pkgs/servers/x11/xorg/default.nix | cut -d= -f1 | string trim | string replace -r '$' Z | sort | string sub -e -1)
for arg in $one $two
set oname $arg
set nname (echo $packagesjson | jq -r .$oname)
if test $nname = null
echo (set_color red)warn:(set_color normal) unknown package xorg.$oname >&2
continue
end
echo $oname "->" $nname
# replace basic xorg.$name references
for file in (rg -F "xorg.$oname" --files-with-matches pkgs)
# special cases
sd -F "$oname = xorg.$oname;" "$nname = $nname;" $file
# replace
sd -F "xorg.$oname" "$nname" $file
# fixup function arguments
# prevent duplicate function args
if grep -E " ($oname|$nname),\$" $file >/dev/null
continue
end
if grep 'xorg\..' $file >/dev/null # case1: there is more so we can't just remove the function arg
if grep ' xorg,$' $file >/dev/null
sd ' xorg,$' " xorg,
$nname," $file
else if grep ' xorg ? .*,$' $file >/dev/null
sd 'xorg( ? .*),$' "xorg\$1,
$nname," $file
else
sd -F 'xorg,' "$nname,
xorg," $file
end
else # case there is no more xorg..* so we can just replace the function arg
sd 'xorg(| ? .*),.*$' "$nname," $file
end
end
end
nix fmt
```
2026-01-25 22:28:09 +01:00
Robert Schütz
1a04744f74
treewide: remove superfluous disabled
...
There is no need to disable Python packages for Python versions that are
no longer in Nixpkgs.
This change was generated using the following script:
pattern='^\s*disabled\s*=\s*pythonOlder\s*"3\.\([0-9]\|10\)"\s*;\s*$'
for f in $(find -name '*.nix'); do
grep -q "$pattern" "$f" || continue
sed -i "/$pattern/d" "$f"
if [ $(grep -c pythonOlder "$f") == 1 ]; then
sed -i '/^\s*pythonOlder,\s*$/d' "$f"
fi
nixfmt "$f"
done
2026-01-11 09:34:20 -08:00
Ihar Hrachyshka
567e8dfd8e
treewide: clean up 'meta = with' pattern
...
This commit was created by a combination of scripts and tools:
- an ast-grep script to prefix things in meta with `lib.`,
- a modified nixf-diagnose / nixf combination to remove unused `with
lib;`, and
- regular nixfmt.
Co-authored-by: Wolfgang Walther <walther@technowledgy.de >
2025-12-10 18:09:49 +01:00
R. Ryantm
2cdf293f5d
pwninit: 3.3.1 -> 3.3.2
2025-12-07 08:02:48 +00:00
R. Ryantm
90285942a6
pwsafe: 1.22.0fp -> 1.23.0
2025-11-27 10:05:21 +00:00
magicquark
19b1e061c0
pw3270: modernise
2025-11-18 02:00:30 +00:00
magicquark
640acd7b1b
pw3270: 5.4 -> 5.5.0
...
Release: https://github.com/PerryWerneck/pw3270/releases/tag/5.5.0
Diff: https://github.com/PerryWerneck/pw3270/compare/5.4...5.5.0
2025-11-18 01:11:52 +00:00
Michael Daniels
1d0bb7b61b
treewide: drop figsoda as maintainer (part 3)
...
s/^\s*figsoda\s*$//
2025-11-02 20:16:11 -05:00
Michael Daniels
30420dabad
treewide: drop figsoda as maintainer (part 2)
...
s/maintainers = with maintainers; [ figsoda ];/maintainers = with maintainers; [ ];/
2025-11-02 20:16:11 -05:00
Guanran Wang
eacb4ac5f0
pwvucontrol: 0.4.9 -> 0.5.1
...
Diff: https://github.com/saivert/pwvucontrol/compare/0.4.9...0.5.1
2025-10-23 14:51:49 +08:00
VuiMuich
ba2472457b
pwmenu: init at 0.3.0
2025-09-27 10:08:04 +02:00
R. Ryantm
ddd38aa8f1
pwdsafety: 0.4.0 -> 0.4.1
2025-09-15 13:08:44 +00:00
Ethan Carter Edwards
e986605cac
pwdsphinx: init at 2.0.3
...
Signed-off-by: Ethan Carter Edwards <ethan@ethancedwards.com >
2025-08-28 16:39:20 -04:00
Colin
4ff411c4b7
pwvucontrol: fix cross compilation
2025-08-26 08:51:33 +00:00
R. Ryantm
b9a1b0d1f4
pwsafe: 1.21.0fp -> 1.22.0fp
2025-08-02 03:56:28 +00:00
liberodark
f9461320ae
treewide: move to by-name
2025-08-01 09:39:12 +02:00